Bug 861576 - (packaging_yum_api) PRD32 - packaging: use yum API
PRD32 - packaging: use yum API
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: Alon Bar-Lev
Pavel Stehlik
: Improvement
Depends On:
Blocks: bootstrap-rewrite 915537
  Show dependency treegraph
Reported: 2012-09-29 04:58 EDT by Alon Bar-Lev
Modified: 2015-09-22 09 EDT (History)
7 users (show)

See Also:
Fixed In Version: sf1
Doc Type: Enhancement
Doc Text:
--no tech note required
Story Points: ---
Clone Of:
Last Closed: 2013-06-10 17:11:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alon Bar-Lev 2012-09-29 04:58:11 EDT
commit d45200c55dad72a5229f8719c492bc99480865e8
Author: Alon Bar-Lev <alonbl@redhat.com>
Date:   Thu Sep 27 04:21:28 2012 +0200

    packaging: use yum API
    Use hybrid of yum API, yum cli, rpm cli
    Use the yum python API, use single transaction, only top-level
    components, proper logging.
    The minyum module is shared between this module and bootstrap.
    Change-Id: I01c0c10c3bca42770bf05222c8b2b82b01fee0a6
    Signed-off-by: Alon Bar-Lev <alonbl@redhat.com>

Comment 2 Alon Bar-Lev 2012-10-03 15:44:21 EDT
Comment 8 Cheryn Tan 2013-04-03 02:52:30 EDT
This bug is currently attached to errata RHEA-2013:14491. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:


Thanks in advance.
Comment 9 Alon Bar-Lev 2013-04-03 03:20:13 EDT
No doc required.
Comment 11 errata-xmlrpc 2013-06-10 17:11:35 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.